<template>
  <a-layout id="app" class="flex-center position-ref full-height">
    <!-- layout header -->
    <a-layout-header class="header">

      <a-menu
        theme="dark"
        mode="horizontal"
        :defaultSelectedKeys="['2']"
        :style="{ lineHeight: '64px' }"
      >
        <a-menu-item key="1">nav 1</a-menu-item>
        <a-menu-item key="2">nav 2</a-menu-item>
        <a-menu-item key="3">nav 3</a-menu-item>
      </a-menu>
    </a-layout-header>

    <a-layout>
      <a-layout-sider width="200" style="background: #fff">
        <app-menu />
      </a-layout-sider>

      <!-- layout content -->
      <a-layout style="padding: 0 24px">
        <a-breadcrumb style="margin: 16px 0">
          <a-breadcrumb-item>Home</a-breadcrumb-item>
          <a-breadcrumb-item>List</a-breadcrumb-item>
          <a-breadcrumb-item>App</a-breadcrumb-item>
        </a-breadcrumb>

        <a-layout-content :style="{ background: '#fff', padding: '24px', margin: 0, minHeight: '280px' }">
          Content
        </a-layout-content>

        <!-- layout footer -->
        <a-layout-footer style="padding: 24px 0">
          <span>Copyright &copy; 2019</span>
        </a-layout-footer>
      </a-layout>
    </a-layout>
  </a-layout>
</template>

<script>
import Menu from '@/components/menu'

export default {
  name: 'base-layout',

  components: {
    'app-menu': Menu
  }
}
</script>

<style lang="less">
@import '~@assets/styles/global.less';
// @import "~ant-design-vue/es/layout/style/index";

</style>
